<div *ngIf="showPopup" [ngStyle]="{'left': xPosition | addPx, 'top': yPosition | addPx}" class="popup">
  <div class="close">
    <p (click)="serviceMobsService.closePopup()" class="cross">X</p>
  </div>
  <div class="popup-content">
    <geodesign-select (ngModelChange)="onTypeChange($event)" [(ngModel)]="typeValue"
                      [label]="('DATA_PANEL_EMIT_GEN.TYPE' | translate) | addPoints"
                      [options]="typeOptions"></geodesign-select>
    <geodesign-select (ngModelChange)="onSizeChange($event)" [(ngModel)]="sizeValue"
                      [label]="('DATA_PANEL_EMIT_GEN.LEVEL' | translate) | addPoints"
                      [options]="sizeOptions"></geodesign-select>
  </div>
</div>
